API ReferenceManagementResource Policies
GET
/v1/mgmt/resourcepolicy/app/load

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Query Parameters

thirdPartyApplicationId?string

Load resource policies for a specific third party application, using a valid management key.

curl -X GET "https://api.descope.com/v1/mgmt/resourcepolicy/app/load"
{  "resourcePolicies": [    {      "version": "string",      "thirdPartyApplicationId": "string",      "resourceId": "string",      "userAccessScopes": [        "string"      ],      "clientAccessScopes": [        "string"      ],      "allUserScopes": true,      "allClientScopes": true,      "createdTime": "string",      "modifiedTime": "string"    }  ]}
export interface Response {resourcePolicies?: {version?: stringthirdPartyApplicationId?: stringresourceId?: stringuserAccessScopes?: string[]clientAccessScopes?: string[]allUserScopes?: booleanallClientScopes?: booleancreatedTime?: stringmodifiedTime?: string}[]}
Was this helpful?